aboutsummaryrefslogtreecommitdiff
path: root/games/ctetris
diff options
context:
space:
mode:
authorDeposite Pirate2018-09-16 18:48:36 +0200
committerDeposite Pirate2018-09-16 18:48:36 +0200
commitd150a5f3e462fa7fe194a805a4aa0076f4d03ab9 (patch)
treece5e44d69c5f3175bfdbd1e3717b52c5dcca5638 /games/ctetris
parentf29d3519ce073ec30f99754d93304324f7f26d65 (diff)
Add ports.
Diffstat (limited to 'games/ctetris')
-rw-r--r--games/ctetris/ctetris-0.30-compile.patch.bz2bin0 -> 1323 bytes
-rwxr-xr-xgames/ctetris/ctetris.SlackBuild71
2 files changed, 71 insertions, 0 deletions
diff --git a/games/ctetris/ctetris-0.30-compile.patch.bz2 b/games/ctetris/ctetris-0.30-compile.patch.bz2
new file mode 100644
index 0000000..b477e36
--- /dev/null
+++ b/games/ctetris/ctetris-0.30-compile.patch.bz2
Binary files differ
diff --git a/games/ctetris/ctetris.SlackBuild b/games/ctetris/ctetris.SlackBuild
new file mode 100755
index 0000000..e95a002
--- /dev/null
+++ b/games/ctetris/ctetris.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=ctetris
+VERSION=0.30
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.bz2
+REPOSITORY=http://
+FLAGS="-O2 -march=pentium -mcpu=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar jxvf $CWD/$ARCHIVE
+cd $BASEDIR
+bzcat $CWD/$NAME-$VERSION-compile.patch.bz2 | patch -p1 -s
+make COPTS="$FLAGS"
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ctetris: ctetris
+ctetris:
+ctetris: A single player, console (text mode) Tetris game.
+ctetris:
+ctetris:
+ctetris:
+ctetris:
+ctetris:
+ctetris:
+ctetris:
+ctetris:
+EOF
+
+chmod 444 $PKG/usr/man/man?/*.?
+gzip -9nf $PKG/usr/man/man?/*.?
+
+strip $PKG/usr/games/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz